# Contributing

Welcome to the openDuT community. We appreciate contributions and suggestions.  
Start here for info on how to contribute and help improve the project.

## How to Contribute

When contributing, please observe the [Eclipse Community Code of Conduct](./CODE_OF_CONDUCT.md).

If you have a bug to report or would like to suggest a feature, please open an issue.

To contribute code to this project, you will need an [Eclipse Foundation account](https://accounts.eclipse.org/) and agree to the [Eclipse Contributor Agreement](https://www.eclipse.org/legal/ECA.php).  
See more info at <https://www.eclipse.org/projects/handbook/#contributing-contributors>.

Code contributions can be submitted via pull requests.
To do so, fork this repository, apply the suggested changes and create a pull request to integrate them.
Before creating the request, please ensure the following:

- **No breakages**: All builds and tests pass (CI/CD).
- **Docs updated**: Make sure any changes and additions are appropriately included into the design and user documentation.

After opening your request, we will also check these in addition to a technical review.

## Contact

Contact the project developers via the project's "dev" list, raise an issue or start a discussion.

* Dev list: https://www.eclipse.org/mailman/listinfo/opendut-dev
* Issues: https://github.com/eclipse-opendut/opendut/issues
* Discussions: https://github.com/eclipse-opendut/opendut/discussions

The Eclipse openDuT project has a monthly call and everyone in the community is welcome to join.
See [Eclipse openDuT Calls (tbd.)](https://example.com)
